Skip to navigation

Get recipient information from template

View as Markdown
Retrieves the information for all recipients in the specified template.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

templateIdstringRequired
The ID of the template.

Query parameters

include_anchor_tab_locationsstringOptional

When true and include_tabs is set to true, all tabs with anchor tab properties are included in the response.

include_extendedstringOptional

When true, the extended properties are included in the response.

include_tabsstringOptional

When true, the tab information associated with the recipient is included in the response.

Response

Successful response.
agentslist of objectsOptional
A list of agent recipients assigned to the documents.
authorizedSignatorieslist of objectsOptional
carbonCopieslist of objectsOptional
A list of carbon copy recipients assigned to the documents.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions.
editorslist of objectsOptional
A list of users who can edit the envelope.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

notarieslist of objectsOptional
A list of notary recipients on the envelope.
notaryWitnesseslist of objectsOptional
participantslist of objectsOptional
recipientCountstringOptional
The number of recipients in the envelope.
sealslist of objectsOptional
A list of electronic seals to apply to documents.
signerslist of objectsOptional
A list of signers on the envelope.
witnesseslist of objectsOptional
A list of signers who act as witnesses on the envelope.

Errors

400
Bad Request Error